---
# roles/avahi/meta/argument_specs.yml

argument_specs:
  main:
    short_description: "tasks/main.yml"
    options:

      # Package management

      avahi_package_names:
        description: "List of package names"
        type: "list"
        default:
          - "avahi"

      avahi_package_state:
        description: "Package state"
        type: "str"
        choices:
          - "present"
          - "absent"
          - "latest"
        default: "present"

      # Service management

      avahi_service_name:
        description: "Service name"
        type: "str"
        default: "avahi-daemon.service"

      avahi_service_state:
        description: "Service state"
        type: "str"
        choices:
          - "started"
          - "stopped"
          - "restarted"
        default: "started"

      avahi_service_enabled:
        description: "Service enabled"
        type: "bool"
        default: "true"

      # Firewall management

      avahi_firewall_service:
        description: "Firewall service"
        type: "str"
        default: "mdns"

      avahi_firewall_state:
        description: "Firewall state"
        type: "str"
        choices:
          - "enabled"
          - "disabled"
        default: "enabled"

      avahi_firewall_zone:
        description: "Firewall zone"
        type: "str"
        default: ""

      avahi_firewall_immediate:
        description: "Apply changes immediately"
        type: "bool"
        default: "true"

      avahi_firewall_permanent:
        description: "Apply changes permanently"
        type: "bool"
        default: "true"
...
